[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpGetgroups

Get the list of supplementary groups.

## Declaration

Source position: bunxh.inc line 54

`function FpGetgroups(`
`gidsetsize: cint;`
`var grouplist: TGrpArr`
`):cint;`

## Description

FpGetgroups returns up to gidsetsize groups in GroupList

If the function is successful, then number of groups that were stored is returned. On error, -1 is returned.

## Errors

On error, -1 is returned. Extended error information can be retrieved with fpGetErrNo

## See also

FpGetpgrp |  | Get process group ID
FpGetGID |  | Return real group ID
FpGetEGID |  | Return effective group ID